Subject: bug#71909: 30.0.60; yank-media on MS-Windows

From: Eli Zaretskii <[email-masked]>
Date: Thu, 24 Oct 2024 10:18:08 +0300

> Date: Thu, 24 Oct 2024 01:13:49 +0200
> Cc: [email-masked]
> From: Cecilio Pardo <[email-masked]>
> 
> - Rename PNG to image/png, so the emacs programs find it. If there are 
> other image formats with mime spec, yank-media will let the user choose. 
> For example, krita offers a huge amount of formats, as mime.
> 
> - If no PNG is offered, but DIBV5 is, like Firefox, convert the pixel 
> data to a PNG file, and offer it as image/png. We don't loose anything 
> converting the BMP to PNG, and the programs that use yank-media for 
> images (message-mode, org-mode) need a file, not an in-memory image 
> object. And PNG is a much better format.

I'm not sure I follow: isn't yank-media about yanking the image into
the current buffer?  If so, why is having a file important, let alone
necessary?

> - GDIMetafile would be ideally converted to SVG. Offering the metafile 
> as it is makes little sense in my opinion. It is not a very used format.

Will we support yanking from a spreadsheet?  If so, with what format?

> - Text as HTML should be offered as text/html, for the use of html 
> editing modes.
> 
> - Rtf text should be offered also to org-mode, adding a new yank handler 
> to convert rtf format to org format. I am working on that. We could also 
> provide it to enriched-mode, but it could use very few properties of the 
> text. Anyway, this is not a Windows issue, and it still a little far away.

Where we have both RTF and HTML, should we perhaps use HTML and pass
it through shr, to produce text with faces, rather than raw HTML?
Once RTF handler exists, we could use that instead, but having it
rendered via HTML might be a useful option anyway.

Anyway, all in all, this sounds like a good plan, thanks.